from pytest_common import pytest, run


@pytest.mark.parametrize(
    "lines, value",
    [
        ([
             "wazxwjd", "tvnhuj", "kjdjdsaxz", "kunvhts", "azkxdz", "vunshtk",
             "zzjdsxa", "nunvhct", "cdzxaa", "vtkuhvhnc", "dazx", "tunncvwh",
             "dzjasxz", "uunvhts", "dxdwzaxa", "vuhvuntt", "dzxad", "vthnwuh"
         ], "Jumbo"),
        ([
             "tvnhuj", "kjdjdsaxz", "kunvhts", "azkxdz", "vunshtk", "zzjdsxa",
             "nunvhct", "cdzxaa", "vtkuhvhnc", "dazx", "tunncvwh", "dzjasxz",
             "uunvhts", "dxdwzaxa", "vuhvuntt", "dzxad", "vthnwuh", "wazxwjd"
         ], "Mumbo"),
        (["a", "ab"], "Jumbo"),
        (["a"], "Mumbo"),
        ([
             "jeodxetx", "qcupzmnhlrqctp", "jexooedd", "mrchlqlzucnupm",
             "dxjejxoe", "clmzcqhpmtrnzu", "tedjdox", "hzqcrpulmnqzh",
             "oxxdjeejd", "lmpzruzpchqn", "doojeexj", "pqzclurnmh", "edxoj",
             "mcuphrnzlcq", "dojexd", "nzuqmclpqhmr", "xjdeodxeo",
             "purhznzlmmuqc", "djeoxe", "lqcznurpmh", "jexood", "rtznlphqcum",
             "jxoded", "ppcrhunlzulmqn", "exdjeo", "urpnchzmlpq", "oedjxt",
             "qpqmrlchnztpuc", "oxojde", "zcmuqqphlrrn", "edjtdoxj",
             "mcuurzrhznlpqp", "jtdoeex", "urphncqlzumhrq", "jdoxex",
             "npzrnmhzumpqcl", "djoxe", "nphrcpulqmuz", "xdejo",
             "rqlnzmcmuhzph", "extxeodoj", "uunlmchqpzr", "xojejdeo",
             "plmrqucnhz", "jddooxjex", "qnhlprcczumn", "xtodedjo",
             "mlquzhrnpc", "oejxxdd", "rmcuhlrznpq", "oxejoedtd", "umrhlnzpcq",
             "jdoex", "zupnmthrcqnl", "eojdxx", "hzulpcqncznrm", "exdoj",
             "unmuqzhpcrl", "xeodjo", "lqclnzhrpmu", "xjode", "prchnumlqlzu",
             "xoddxoje", "mhznnzupprcqlm", "odoedjx", "purlqmmznhc", "oeddxoj",
             "uhcrzzqmplcnp", "jxedjox", "tunplzcqrhmm", "odxdjejox",
             "qzmnpuhcmlrq", "odejjxex", "cuunlzqrpmhc", "jxoedxt",
             "humpclqcrtzrln", "edtxeojx", "pqutmhnlrcmzc", "doexj",
             "pnhclqmumlrz", "eoxdjj", "tqhcrczunqzlpm", "oejxd",
             "mhzrclqnptu", "xteodjjex", "purrlcznhmq", "xexjeod",
             "rzpqncmuumhl", "xojdeod", "uhcqnzrzpmhlm", "odtexjo",
             "zlhlrrcnuzpmq", "oedxoxjd", "mzclnhrqpuuzh", "edxdejxo",
             "rzupcnumhmcqrl", "jexdo", "rtcnrmqnuzlph", "jxedojxdt",
             "nthlmzpmrqcuurq"
         ], "Jumbo"),
        ([
             "kynaqr", "dhjxtnd", "ddivqq", "aytxw", "wqs", "urzxtax", "rrq",
             "sxhgtl", "djfqg", "pxty", "ylpyq", "xth", "hsqlio", "tkiixh",
             "oqyi", "tiox", "oq", "txk", "qk", "xtc", "qc", "fcahttx",
             "hjqvra", "xdtzwj", "cqzws", "vpxt", "qpk", "xtj", "kjq", "vixt",
             "dvzhoq", "tuhx", "suuq", "xtcs", "hsrq", "ltx", "qklros", "ftxl",
             "qkfc", "tvxn"
         ], "Jumbo"),
        ([
             "xhdpinfmcpqrn", "vgasytmbov", "xwpnfqkimcrd", "gsvboaytk",
             "qicnxprdfih", "agughytbvehso", "fkidexnpqrc", "obvbgwsetaye",
             "qpcirdxinuf", "aagbsutybvoo", "piflcdqrqxn", "vsabsovytagl",
             "cffjqpqxirmdin", "tgojbhavsysvk", "pddnqwifzcrcpx",
             "hegvtzsyabo", "dckiwrxpfnq", "zwoabvsbygt", "ldfrcnpixq",
             "yygotbvas", "ecfinxqrpd", "gjasvybto", "cqrpiiufxdqpn",
             "hsgbgotayv", "fcrxnqpdi", "sbvgeaovoyt", "fcqndrpxquijn",
             "asbvymhsutgo", "nxqidrzcfp", "yoavtgsb", "qdcpinxqplfr",
             "btgyvasbo", "rdijqfxnpce", "myovbaggsvt", "niprxdcfq",
             "avtyobhgvs", "xrniqkdcxqfp", "saobjvlgtyz", "rqpdcnxfzifh",
             "aogvjtbys", "qrcdfrnxipew", "gsyaovtb", "ifxnrqkcrpid",
             "btgvzayyoos", "xlffqpcrxidn", "ytoasbvgv", "dnrfciqpx",
             "ovaotabsgy", "zcqdprdxnifu", "gktabystwvog", "rdxpqcfin",
             "szsvgtmjaoyb", "hxpfxznqrdic", "atobgvsy", "qicrxfdxipn",
             "bogtvysa", "pnqifrdcx", "otvayegbs", "xcdifnpqxr",
             "bmsytoyavtbg", "lfxnjidcqrp", "bygatvgso", "fqnrzidxpc",
             "tvbywgsvoaom", "pdircqfxn", "atbosvzgeugy", "xzdeqrnncifmp",
             "bekoayvtgs", "rfxixrmpqncfd", "gazobsyvoty", "djrfxqmiwcpn",
             "ogabtvys", "crnfidcxpqep", "hbkgvytsaglo", "prdfmncqiex",
             "gyztaybosv", "mprfcqrdinxw", "bzotasjgvty", "rfnnqxippcmid",
             "gusevobayt", "dfinrcxpq", "svtaybgob", "ncdqfuipcxr",
             "yaoljsbtgv", "fqrdznmxcip", "bstoyvagb", "xprnrdjqfclix",
             "toygbbassv", "nxfqdcrpi", "tsyvboag", "drpxnqcimf", "vgoayotbs",
             "jfuendciqxrp", "vobstgya", "nqfrixdcp", "bgatvogsltsy",
             "rpcdifnxqn", "abgotyvvs", "idnnrxhqpifcj", "tsoyavgb",
             "rqenfcdicwxpr", "gvsytoab", "fcpnnirurqdx", "uavoahsybvtg",
             "iddiqrcxpfn", "awgsosylobvt", "ixfdqucnprlqe", "bsgytavo",
             "nrdcpfqinpx", "syovgtba", "fkrqdxnjcpi", "obytessgva",
             "drcjinqfpxc", "stbaogyv", "icnqrxfdp", "svmatogby",
             "hxprcfdzxqni", "assbtbegyvto", "pnixcdqfrk", "hbzsvyajtaog",
             "qnxdlrcpif", "vbsyaogt", "ifrcdjnnxqcp", "yasetobbvguo",
             "qmrcfinxdpnd", "vgtybaso", "qfirxndjcp", "tavystgbao",
             "zripqdnxicwnf", "sbtyugvasgto", "fikdcnplqdrcx", "yshltbgavo",
             "qrxdfxhdcunip", "ytosyvagbkv", "drxqknxhfpinc", "tbjsvkygtabo",
             "qpneidfmzqrxc", "ayyotvbgsv", "ipdxrwfncq", "gtbvosya",
             "ncxiqrpdfel", "agystvojwbl", "pwdfincxrzq", "ygobtvats",
             "rdnqpfcix", "atobvtsyg", "pnqifxdrzc", "zshjaoybsvgt",
             "ziqnxurdfhpmc", "tavkeugosby", "pjirfndkxdqci", "vsugoymegbta",
             "xiufrdncpzq", "btavsyoyggj", "fxnrhnpckidq", "bybugoawvtzs",
             "incdxrdpfuqw", "bykgstvaomvo", "ifxcrqdncp", "oabgtysovv",
             "npcqxrdfi", "uovyabtbsgg", "iqpxnfdcr", "gaostyvba",
             "dfqnfdxicrcp", "vytbosag", "qdclrifxdfipn", "oygvtasb",
             "qpurdnxcfi", "oystavgub", "fczxrdinpq", "bstagyvo",
             "zrqpifdnchx", "bosvatyg", "dnxqpircfq", "syvogtbsa",
             "rucffdpnixjqi", "ovgatybs", "dircfpxniqq", "boatsvyg",
             "inxrpdcqfj", "tvsojygba", "quicrdfpzxnql", "boytzvtsgsa",
             "pfrqindxc", "tbvgawsyo", "mzqidfxprdcpn", "oybsgvsabmt",
             "ficpdrqxn", "yobbtgsauv", "pcrdqirpfixnz", "taostbymgv",
             "iqpnmjfrxdc", "byaotvgs", "cffmnpqdqrxxi", "sgabovty",
             "nxfcrrmpddjiq", "gkztsoybvag", "cximfdcrrnpqx", "vwsgtjombyoa",
             "dpxcnmiqfxrh", "oaytsusvbg", "dpcrfwxuxniq", "aymvsotbsgkv",
             "rnifpiqckhxzd", "ostmyuwgvbaa", "fiqcdrpxnhm", "bgmatbsovyg",
             "prfnqcdix", "tavogysbytk", "phdqirfrjcxnc", "savyogbt",
             "pefcldfnrxqi", "ubvtjasyog", "qdxdnqcpefriw", "gvsotaby",
             "dupixrcrifnqq", "bgvsyoota", "xipfrcnckqd", "btsvagoy",
             "pkxxifqndcpr", "bbsmvytyoga", "nxpfdqlrci", "ylgoakvttssb",
             "xidpdqfrpfnwc", "vstoybgkwa", "pkcqfrixdn", "toyaabkzvsg",
             "npixcfqdr", "ybsaggtvo", "pcinwqrhfdx", "gvtlsaayoob",
             "cfiurdxpcqqnx", "ygawvbytvhso", "uridcxrnqplfi", "ygtskbvvao",
             "prdqxncnicfi", "ostayvgb", "idfnplrqxqc", "bysoatgkvw",
             "pxkfcndimrq", "gytatsobv", "qipndxfrc", "hvgatosyb", "fdqnxpirc",
             "abotgsvy", "xipclqderxrfn", "ayojsgaevtb", "udfcrpxqni",
             "bavoygost", "cnfdixrqkpe", "vgymbovusayt", "dxcrifpqn",
             "agsgblyovts", "prxqnfirmdxc", "saoyvbgt", "qdipcfxrn",
             "aaytosbvg", "qfinrncdppx", "tkybaoshvggs", "dcrcqxnipf",
             "gtvoybsa", "nrqcdpxif", "bjstlvboogay", "inqpdrfxrc",
             "ogheagyvbstb", "fndpqixrc", "atgbmvyusso", "qnridfpxc",
             "sbmytogagv", "fmdrxipqcn", "sygotaybsav", "ncipxqrfd",
             "ytagovbseyg", "nqpcidrxfr", "sguboayvt", "xcrzpnxqdiwfm",
             "gotaykoswsbv", "rqnfdpqicx", "bvtojlsoyga", "pirfnciexqd",
             "avaegosybtv", "nrifdpcxq", "bgvtasoy", "ipdndrfufcqcx",
             "obgatvvsy", "rindcrpxufdq", "btgvoashy", "dxffnupcriq",
             "aoogsutvvybb", "dipcqrnfx", "ysogbvaut", "qcfldprixn",
             "syggotabyuve", "nczxidrqhppmf", "bgvbasjtogyt", "infcpdrqx",
             "vmsobeyktgah", "idpfxhcqnr", "atgvoysb", "xqizrhnfpldcd",
             "vtogyabs", "cxidqnpqrf", "gobavyts", "xcnpndfhirwq",
             "yuvbgsohat", "ncxmpxiqrdffn", "zeaysjvogutb", "incprxdfq",
             "sbgbvawyootv", "xzfnpqwidrcuf", "sboavgyt", "rufpndixqcip",
             "otayasgbmvgy", "ncipqrxdfw", "oagsytbvz", "xicpfnqrd",
             "yaosbgtvv", "rchcixqdfnp", "oakbtygvs", "qrdpxcrmfni",
             "tbgvsoabmay", "dqpcnrixf", "sgvybabgthvo", "difcrxnzrqp",
             "tgysvoabzvg", "nfdqxrcikp", "aajyovtgszb", "fqndprxczi",
             "ogsgbtywvay", "rfxdcqnip", "yagbtvso", "pcrxfqndi", "ovbstyag",
             "prfcxdqin", "taostyvgb", "idfxrqncp", "abtyovvlsgw", "infxdrcpq",
             "yybbagtvso", "pdqccxrijfn", "yatkgvbost", "qndwpcixfr",
             "tybavsog", "cdxinpqrf", "ohaysbtgv", "riwprcfnqdx", "tovygasb",
             "nrdixqrpffc", "tbeagosyvhtw", "fhpqnirxinpcd", "vomybshtakog",
             "qirnfhipddcx", "gbovtsya", "qrpknixcfnwdx", "agttyouoblsv",
             "cnpxmdfiexrq", "yvsbaotg", "nipdqfhxcr", "vytboasg",
             "riqfcldxpn", "ebaojswtgvoy", "rfpnmcxidqncx", "gvattebyosb",
             "diqnnrfrhxcpj", "botyvsag", "qipfdqwruxcnd", "thvsgjbuaoy",
             "znipxqpcfder", "avogybts", "qnixrpdcuqf", "gkyobsbjvaot",
             "cwndnfirqpxx", "yogauvswbt", "zdrrfnpiqcqnx", "vsgybsoyagkt",
             "pxnfqwdxrci", "ayosvtbvgl", "jpcdinxxnrqf", "ysstovyabg",
             "cixkprfdnq", "aotovygubs", "qfpxincrd", "tbsgaolbyev",
             "ncfiixqzdrdpf", "yboszvyaglst", "pdiucxnrqrxf", "bayovgts",
             "fcpdqdicinrx", "zaovbgyets", "pxcinrkqdf", "oayvkggvstjb",
             "qukpcdfiwrfnx", "tbysgausvog", "hixndpqqcprf", "ytgbtazvoljs",
             "fiqdpnrcx", "aytvgobs", "icfnxqdrnp", "tosygbav", "enqcxfripd",
             "vgbsayot", "fcdcidrxnqp", "vgogsvytboa", "cxricqdndjnfp",
             "wsytgabsvoa", "qrfxdpinqc", "lotyabvsvgys", "fpiqxnrdc",
             "savygtbot", "cixdzndfrcqp", "sowgbvyat", "ifcdpcxnrq",
             "tybagovs", "qdxrcfnip", "svtagbygko", "qfprnxmceid",
             "gvvogyatsb", "dfikqrepqcxn", "yaosbvtg", "nxqficdqrxp",
             "svgtvobzyoa", "qfrndwxicp", "syobagtv", "xpdnficqr",
             "kybsbvsoaget", "zcrinqfdxp", "hmosvgabtyg", "xecnpqdirdf",
             "vttysogab", "dqnrriqxcfpl", "yvegasobzost", "fprqcnixdp",
             "tbsvyaog", "cqfnrpixd", "ayvszgymubot", "rqpcnxdhfi",
             "blystvszbaog", "qipxdcinrf", "asobgbmyvty", "knfnrxdqiucp",
             "tygtobsvgau", "rpixqndfc", "aosygtvab", "nrxifpqdc",
             "gsyoobavtsb", "pcxnqrndif", "gyvoasktbw", "cknrqrxqdpiif",
             "aagstyvtbo", "fqrxpndic", "obtyvassag", "rnndfpqdxiqc",
             "ggvmybeoast", "irhnfrqxdcp", "ogvsyjetabga", "pinqfcdxr",
             "btboozyuavgs", "rndiqpfxc", "yatgbasvo", "cpqnrxifdk",
             "atgbvbhoozys", "xnfqprdic", "jzyasgobatv", "nxdpfpqiurmzc",
             "tbygovas", "dnfqpxicr", "sbbatyvoyg", "fqxnikdrcp",
             "vtkstogbsmay", "pxqnrcfid", "bvygaots", "fdincpxnqdr",
             "vbytsoga", "djdrpqkexfcni", "tvgawtbsosy", "ndcqxrifup",
             "yatsbgajomv", "pcpnrcqfxid", "uabstyyogsv", "iqfcxpndrk",
             "btygvsoa", "xiqddfnprc", "ystovagb", "dprkcxqfni", "vovlbagtys",
             "zqcifhxpdrknn", "atwybgvos", "mnncqidrfxplq", "bgoyktvabosv",
             "idqcfnprpx", "aosbyvtg", "ffpcwndixrxq", "abtvggzyos",
             "cpufxniirfdqr", "tsybgkoyavb", "uxnrhfppccqid", "ysogbvato",
             "dhqfxdjqcrpin", "yglvsvoajbt", "xrckdjqfinp", "bavkstoyg",
             "ciprdnpqfx", "voybvttzsga", "rcinxcdfqp", "austbgvyok",
             "cpdxfjzniirq", "aoaygvbgtss", "qfcrdnpicrx", "avgtgmsooyb",
             "ixdpnrfklqwc", "abyogvjts", "rfnqdcxpi", "aymstzgwbokv",
             "frcxdqninp", "aostgvtyb", "uxifdmipqkrnc", "yoyvgatsbgts",
             "fnqniudfcxpr", "yomytavvbgts", "ficrnqpdx", "mboltgysjoav",
             "mrxfqcidpdnx", "ytgosabv", "mxcpfndfqri", "satvbavoygy",
             "erixwnpxcfdqr", "tosagymbtv", "pnxfrqdci", "vsomyagbot",
             "miifnfqpxrwdc", "ybtglvvosya", "jwkrpxqpfdcni", "vytohgwabso",
             "cfxhijdrniqpn", "btgsaavlsoy", "fclpqxmdrinru", "gtybasov",
             "dfhxpjinrxcq", "ovgybwmtas", "fcnrxqfnipd", "bgyksvtao",
             "inrcdpfqx", "tuboyasvg", "fxpnqdrcirx", "vtogbssoay",
             "cfdxxnqpir", "aeygasvobkt", "npjixqcrfdid", "voyvtbsga",
             "rcpjidfnxxmq", "twobtgjvyska", "lndrcixqifppf", "tgsvboay",
             "fcpridxqn", "aytgvmbslo", "kpdnffxcirq", "aosgtyvb",
             "qdpzlrfxinkrc", "vtoasgby", "prciqxfcnqdx", "vyboaogts",
             "iqmdnrfcpx", "styabgvao", "cdxqizrfpdnu", "ggvwaytbseot",
             "rrcinxcfqdpiw", "vvsuyagohgtb", "nfxdprcrqi", "atmgzosvyb",
             "cpnxrqdifip", "vtgsoyab", "xfcqdnpnrii", "gtbavyso",
             "fercxdnqifp", "avyobgst", "ixpcqfrdn", "yabgtsov", "pixrrpqdnfc",
             "tsvybywoagvs", "kfpqxnfdiciqr", "abvtsygow", "qndiprcxfp",
             "tsoybakmvg", "zdrflnixpcq", "ysagwbveto", "xpircchdqfn",
             "otsgvauby", "xndxiqqccpfrk", "sjtybavgo", "fncqridpx",
             "gvaysbto", "fdinrpqqxcr", "otyaabsvg", "pxmdkfcqnirj",
             "bysvtgmaao", "piqfrndcx", "oyasjzbwgtv", "wiflrcqrpndxi",
             "gtysvsoab", "dcxdfimxpqrn", "otvaagysjb", "qkipdnrxiqcfx",
             "mbtaygsovs", "pinxrcfdq", "vsotsygabmw", "ddnrixqmfpc",
             "vsyvtbgao", "xnlzdifrpqqci", "gvostaby", "crfpidqxixn",
             "ytvogsab", "ndiqrcxpf", "atbsygvo", "ldirncxqffp",
             "ojavgzyybstw", "cpnxqirdpf", "vabtoygsog", "cifnpprxcqdd",
             "agytobvts", "cfqipndrx", "yaybsgotv", "ncmriqhfdixp", "gsboytav",
             "rcqhxiepndf", "ayvsgbttho", "xicdincqfrp", "hgabsjoytvg",
             "finqrrpdnwcx", "gatvsoyb", "qnrcfdipx", "vagosoteby",
             "rdifxpcqn", "obsvabwvtgy", "qrfndxpqcnim", "tsboevglvay",
             "iducrqfrxpn", "gyaotosbv", "irpcfxkdnq", "sogkvbmtay",
             "pucindxfpqcr", "gvwsyyoabtt", "dpifcxrnq", "yhoazvstgb",
             "cxkinnqfdrp", "vgasbtywo", "xrindcpfqquxn", "tabyosvgo",
             "dfqqinnprxpc", "aotvsbyg", "cfcpxriqdni", "bytasovvgb",
             "lcnriipnqfdxc", "vvygoabezsst", "rqpxcddminf", "aogsvtbyhl",
             "prnficpqfdx", "obmssbgatvty", "rpdqrfximnc", "tmovsbuayg",
             "cxpidnfrq", "tavywsjbkog", "jnrxpdfqic", "tgoybveas",
             "ifqpcplderxn", "yvvbgboostas", "qpxifrcdn", "sybvtagosgo",
             "cpinrcxddqf", "ojvbtybsvtga", "dxcpifnrq", "ygvotbmubsya",
             "zfdiphnxcrqu", "gyvastmboz", "neinpxqfdrfc", "aysbvoygjt",
             "npiqcrxdff", "sygoavtb", "pqrnicfrudnx", "svyobaatgkt",
             "rqpnqcidxf", "togboyavsw", "dcdniqkfpxr", "gybvsbozgkta",
             "ndicqfrpx", "uvegybosat", "rixfcpndxqn", "egogtsabyv",
             "limhrqxfndcpi", "avsoytbg", "rdnixcdzpfqcr", "gwahlosmbyvt",
             "nprfcwqidx", "vlsagyotb", "cxprndqfjip", "tgoaysvmbg",
             "fxpidrnqc", "htksovbvjayg", "idprfrxnqlc", "gevoaomtytbs",
             "rhnfxpqidqc", "askbvytgto", "xnfpirdcqf", "baegyystobv",
             "flnxfdipcrq", "vkabtbgosgyj", "cifxrdpzcqfqn", "sagbvoyt",
             "wcdfrnixfpq", "atsyvbog", "ncqirpxfdh", "omgvbsaytwj",
             "dpcxqfnqri", "tsyaoggskubv", "dxcqnifpxrcw", "lygohbvtas",
             "fdqnrpxcrik", "bsoglvaty", "cfrnqdzdxrip", "tvkyasyogbe",
             "qnifkxdcrpr", "sbtalygovs", "npxqdfric", "toabhvsyguo",
             "qxrndpcfi", "agysbtzvovma", "rxrklcqpfwdni", "goybsvsat",
             "hfxfdcqipnmzr", "ytagvosb", "idfhpqmxnrcpq", "wlyvobsgtayu",
             "pdpwnchxkiqrf", "ayesogvbaty", "ncprxwmddiqxf", "obhtsaagyv",
             "znfcnixcqrdpe", "tyavghsvbgol", "nxfwpipckqrd", "vbyggoastbl",
             "icxqnfrcpld", "agyskgotbv", "hxpdqfincrfc", "vosyaogtb",
             "rmdcxiqwnpqf", "gystgwavbol", "nfrxudqcifdpk", "botgaysv",
             "xdcfnqirdp", "vajtokybgsy", "xlqfdpnriecf", "vybgelsoawt",
             "prxindericqf", "bylasottyuvg", "fqndpnicrx", "tgboasovy",
             "dxfnjmcqpri", "ygostvab", "rxpqidcffun", "wyasgaogtbv",
             "dzxrfricqpn", "yabtmssobvyg", "dnixrnfpqc", "yogywvatbs",
             "ncdqxprif", "bugvakosyty", "qcxppnrdjidf", "ogyutvahbs",
             "lrpcqfnzdxi", "vsyoabgt", "nricfxdprq", "vytajwbogs",
             "fnpixkdcqnr", "ombatyjsggv", "irpfqxndcx", "bgsyavoktw",
             "rfxndipcqf", "lbgzvoyttsa", "qrdxncpfcik", "ygtasovb",
             "nicwxjcqprzdf", "ggsoubtyvhea", "rqhdkxpinmfnc", "asgbvalyot",
             "ncpirxdfq", "attebmysvog", "nrpxdqfqci", "oaoyyvagbts",
             "fdncxpruqixk", "vobtgays", "ipicfndqrx", "bysowaougtsv",
             "qpnxfxriqcdi", "byogstva", "cxqfdinpxr", "bsgtavyo",
             "xdfrecpiqn", "toyasvbg", "xfqfpcdnrip", "toysglasvayb",
             "zqrpfipxnccdn", "yobtvskag", "ncpdxiqrf", "yobtsagvu",
             "fcpedqrxhin", "vauyagsobjtv", "xrzppqjfdcnif", "btvmygaskov",
             "hcqrxzpnqifdl", "gtsoaybv", "iqcxixunpdfre", "syvabtggo",
             "pixrndfcq", "bvgjatysozo", "drfcnqicrxqdp", "gohvyoabtsu",
             "rpdefnclxqqin", "avotsgsbeay", "fkxcniqrdp", "batvysog",
             "picxnfmhqndr", "togovastby", "crnqifdedppxr", "avsgyoaltbgo",
             "pxdnfciqr", "vtgobsygzaa", "cpnxiriefqdf", "bysvotvaga",
             "qipxdckrncdqf", "jagbvlotsywo", "nfxpqrejdcfni", "sgbvhlayoot",
             "dqxcnrfpik", "svyatbomgg", "rndxfpiqc", "gkvtsyysaobw",
             "pqdncdxrknif", "avshyaotbzg", "qfnrpdcdxi", "gvohabsuytg",
             "fxndilqrpc", "tabgoysv", "qxdnrcfifpkpr", "agvtbmsyo",
             "cnxdpfqiurdmz", "yyosaggvbmt", "qnuipnfdrxc", "atvysogb",
             "ifdpnrxcq", "sbgtavutyogs", "qxcfrxidcnp", "btogysva",
             "dncpfxqpkirhq", "gboaaytvsyo", "fndcxpdqqir", "agksbaveyyto",
             "rfndcicxpq", "gobatsvy", "fpqnrxdqic", "vzaugbytoyas",
             "redpqficxn", "agsbtvyo", "xcqpnerifd", "vsaytbovag",
             "zdpncixxdqrf", "ayglsotvjbg", "priwflrcxpqnd", "agsyovtb",
             "fpxiqrcdn", "sybogavt", "rrcxifpnqidq", "svogatvbyb",
             "cinhrqndfpxi", "bvamosyvgt", "cqrxpnfildf", "gtsovtbsmyja",
             "inrccdxnpqfid", "bwvsotvagy", "cnixrcqfpd", "ajtoyvbgs",
             "cfnqidprx", "velbogsyta", "cczdrnnqixfp", "gsayoovbtt",
             "dirxfnpcq", "tovsaagby", "icxfnrqqdp", "ovyuabgst", "fipxqncrdh",
             "tgyobvas", "cinwjfxqddrp", "tsvbobyga", "pcfinzdqxr",
             "vgyouatbws", "rpcdwqifxdqn", "bysgaovt", "fqirwnpnxchxd",
             "bgbyasokvt", "nxfcndpipmqrz", "tyavboybgsj", "cdhfxicnqrpx",
             "ssjlowtyavgb", "icxpqrfnxd", "atszybotvggs", "qirfndjxlxpc",
             "tobasugvyl", "pcqrqfdxinx", "atsovvbgy", "firpqxdncd",
             "hbsojytgvla", "qxipfurdnc", "ytosagvb", "ruwnxdqfmcip",
             "gymtbosvsao", "xifceqnrpxqd", "stbgvaywoy", "efcdpuqjixrnk",
             "msgybagvtvo", "xicnxffqrupzd", "tgvsboya", "xqrfncdupi",
             "agbtyvoyhs", "eniprfcmxdq", "stbbolkvvagy", "iqcxpwfdnr",
             "gvtytbagosme", "xndicrqfp", "gsbyatvo", "qcrpfnixd",
             "yosgosatybv", "dfmpnuilxcrqx", "hogbtakesvyl", "rfnpmxcqid",
             "bgoylvysat", "frxqdcnipk", "sovtybgja", "xcrifdqnp", "ovgabsyt",
             "driqfcnpx", "mabsyvtgo", "inqdpfxczcdr", "mbgzahvsoytb",
             "cinxqrdpf", "atybgovs", "rfnccqpduxi", "otgyhvbesamo",
             "hfdrxqpuicdn", "usbvtygoa", "fddrcxnpxiq", "woygthvsba",
             "fmxrnjdlpnqic", "basvlgetayog", "inhnfcrdpqx", "gsbyotva",
             "fjrphiqdnxnc", "tvbwsyaog", "nxrhqicdfep", "souwlvabtgyy",
             "cfxrpdnqi", "yogsvtab", "ndxcrfrpiq", "vbhtogausby", "fprxqidnc",
             "otyvsaggb", "nifpfrxqnczdu", "vybasgtko", "rpnicdfxq",
             "boytagsov", "cirxndpqf", "oasbgmttvyu", "crqfdlxnwpiri",
             "geyvsbatou", "nprqrncxfdil", "tvoysubjwag", "pcixqxlzrndf",
             "atsygobv", "irqnfdcqxpux", "kybasovtg", "fcxrpxdniqrw",
             "avgastoby", "dpqprxicdfnu", "taszbyhgov", "ciuxddpnrfnpq",
             "svtgobyamatk", "cdifrxpnq", "ogysvubgzalt", "wdnixcqfpr",
             "atsbvgoy", "nxpqfcfrdin", "gsbvjtyboya", "xppfxcrnifqd",
             "byetlzgvsoa", "xnfwcprmidq", "sybatgyoveb", "piqndrxfc",
             "gaybgtosov", "ndrqfpixifqcc", "sgbtyagvov", "pdnxlrqircef",
             "yhovvtjbsgab"
        ], "Mumbo")
    ]
)
def test_mumbojumbo(lines, value):
    result = run(
        __file__, 'solution.py',
        input='\n'.join(lines)
    )
    assert result.returncode == 0, result.stderr
    assert result.stdout.strip() == value
